org.richfaces.el

## Class ELContextWrapper

- java.lang.Object
- - javax.el.ELContext
  - - org.richfaces.el.ELContextWrapper

-     public class ELContextWrapper
      extends javax.el.ELContext

  Author:
    asmirnov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ELContextWrapper(javax.el.ELContext parent, javax.el.ELResolver resolver)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getContext(Class key)`
    `javax.el.ELResolver` | `getELResolver()`
    `javax.el.FunctionMapper` | `getFunctionMapper()`
    `Locale` | `getLocale()`
    `javax.el.VariableMapper` | `getVariableMapper()`
    `void` | `putContext(Class key, Object contextObject)`
    `void` | `setLocale(Locale locale)`

    - ### Methods inherited from class javax.el.ELContext

      `isPropertyResolved, setPropertyResolved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ELContextWrapper

          public ELContextWrapper(javax.el.ELContext parent,
                          javax.el.ELResolver resolver)

      Parameters:
        `parent` -

  - ### Method Detail

    - #### getELResolver

          public javax.el.ELResolver getELResolver()

      Specified by:
        `getELResolver` in class `javax.el.ELContext`

    - #### getFunctionMapper

          public javax.el.FunctionMapper getFunctionMapper()

      Specified by:
        `getFunctionMapper` in class `javax.el.ELContext`
      Returns:
      See Also:
        `ELContext.getFunctionMapper()`

    - #### getVariableMapper

          public javax.el.VariableMapper getVariableMapper()

      Specified by:
        `getVariableMapper` in class `javax.el.ELContext`
      Returns:
      See Also:
        `ELContext.getVariableMapper()`

    - #### getContext

          public Object getContext(Class key)

      Overrides:
        `getContext` in class `javax.el.ELContext`
      Parameters:
        `key` -
      Returns:
      See Also:
        `ELContext.getContext(java.lang.Class)`

    - #### putContext

          public void putContext(Class key,
                        Object contextObject)

      Overrides:
        `putContext` in class `javax.el.ELContext`
      Parameters:
        `key` -
        `contextObject` -
      See Also:
        `ELContext.putContext(java.lang.Class, java.lang.Object)`

    - #### getLocale

          public Locale getLocale()

      Overrides:
        `getLocale` in class `javax.el.ELContext`

    - #### setLocale

          public void setLocale(Locale locale)

      Overrides:
        `setLocale` in class `javax.el.ELContext`

Copyright © 2014 JBoss by Red Hat. All rights reserved.